IntlChar::isIDStart
IntlChar::isJavaIDPart
IntlChar
PHP Manual

# IntlChar::isISOControl

(PHP 7)

IntlChar::isISOControl — Check if code point is an ISO control code

### Description

public static bool IntlChar::isISOControl ( mixed `$codepoint` )

Determines whether the specified code point is an ISO control code.

`TRUE` for U+0000..U+001f and U+007f..U+009f (general category "Cc").

### Parameters

`codepoint`

  The integer codepoint value (e.g. 0x2603 for U+2603 SNOWMAN), or the character encoded as a UTF-8 string (e.g. "\u{2603}")

### Return Values

Returns `TRUE` if `codepoint` is an ISO control code, `FALSE` if not.

### Examples

Example #1 Testing different code points

`<?php
var_dump(IntlChar::isISOControl(" "));
var_dump(IntlChar::isISOControl("\n"));
var_dump(IntlChar::isISOControl("\u{200e}"));
?>`

The above example will output:

    bool(false)
    bool(true)
    bool(false)

### See Also

- IntlChar::iscntrl() - Check if code point is a control character

IntlChar::isIDStart
IntlChar::isJavaIDPart
IntlChar
PHP Manual